clang-tools 8.0.0

Public Member Functions | List of all members
clang::find_all_symbols::FindAllSymbolsActionFactory Class Reference

`#include <FindAllSymbolsAction.h>`

Inheritance diagram for clang::find_all_symbols::FindAllSymbolsActionFactory:
[legend]
Collaboration diagram for clang::find_all_symbols::FindAllSymbolsActionFactory:
[legend]

## Public Member Functions
| FindAllSymbolsActionFactory (SymbolReporter *Reporter, const HeaderMapCollector::RegexHeaderMap *RegexHeaderMap=nullptr)
clang::FrontendAction * | create () override

## Detailed Description

Definition at line 44 of file FindAllSymbolsAction.h.

## Constructor & Destructor Documentation

## ◆ FindAllSymbolsActionFactory()

clang::find_all_symbols::FindAllSymbolsActionFactory::FindAllSymbolsActionFactory | ( | SymbolReporter * | Reporter,
|  | const HeaderMapCollector::RegexHeaderMap * | RegexHeaderMap = `nullptr`
| ) |  |
| inline

Definition at line 46 of file FindAllSymbolsAction.h.

## Member Function Documentation

## ◆ create()

clang::FrontendAction* clang::find_all_symbols::FindAllSymbolsActionFactory::create | ( |  | ) |
| inline override

Definition at line 51 of file FindAllSymbolsAction.h.

References clang::find_all_symbols::FindAllSymbolsAction::FindAllSymbolsAction().

The documentation for this class was generated from the following file:

- FindAllSymbolsAction.h